import React, {
	Component
} from 'react';
import {
	observer
} from 'mobx-react';
import {
	WeaRightMenu
} from 'ecCom';
import {
	Row,
	Col,
	Button
} from 'antd';
import {
	i18n
} from '../../public/i18n';
import FormInfo from '../../coms/FormInfo';

@observer
export default class Dashboard extends Component {
	constructor(props) {
		super(props);
	}

	componentDidMount() {}

	componentWillReceiveProps(nextProps) {}

	render() {
		const {
			store,
			rightMenu
		} = this.props;
		const {
			refreshForm,
			formTarget,
			globalSettingFormItemRender,
			showError
		} = store;
		const {
			globalSettingForm,
			globalSettingFormFields
		} = formTarget;

		const rMenu = [...rightMenu, ...store.getBasicMenus('HRM_ENGINE_APPDETACH_SET')]
		return (
			<div className='tabPane globalSetting'>
				<WeaRightMenu ecId={`${this && this.props && this.props.ecId || ''}_WeaRightMenu@afsge7`} datas={rMenu}>
					<div>
						<FormInfo ecId={`${this && this.props && this.props.ecId || ''}_FormInfo@4ke4v0`} form={globalSettingForm} formFields={globalSettingFormFields} itemRender={globalSettingFormItemRender}/>
					</div>
				</WeaRightMenu>
			</div>
		)
	}
}